%if 0%{?fedora}
%bcond_without  python3
%else
%global with_python3 0
%{!?__python2:          %global __python2 %{__python}}
%{!?python2_sitelib:    %global python2_sitelib %{python_sitelib}}
%endif

%global         pkgname django-markdown2

Name:           python-%{pkgname}
Version:        0.2.1
Release:        1%{?dist}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
Group:          Development/Libraries
License:        BSD
URL:            https://github.com/svetlyak40wt/django-markdown2/
Source0:        https://pypi.python.org/packages/source/d/%{pkgname}/%{pkgname}-%{version}.tar.gz
Patch0:         python3-django-markdown2-0.2.1.patch

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Requires:       python-django
Requires:       python-markdown2
Provides:       %{pkgname} = %{version}-%{release}

%description
This is a simple app, which supplies a single template tag for markdown markup.

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Simple Django app, which supplies a single template tag for markdown markup
Group:          Development/Libraries
Requires:       python3-django
Requires:       python3-markdown2
Provides:       %{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}
This is a simple app, which supplies a single template tag for markdown markup.
%endif


%prep
%setup -q -n %{pkgname}-%{version}
%patch0 -p 1

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif


%files
%license LICENSE
%doc README.md
%dir %{python2_sitelib}/django_markdown2
%{python2_sitelib}/django_markdown2/__init__.py*
%dir %{python2_sitelib}/django_markdown2/templatetags
%{python2_sitelib}/django_markdown2/templatetags/__init__.py*
%{python2_sitelib}/django_markdown2/templatetags/md2.py*
%{python2_sitelib}/django_markdown2-%{version}-py2.*.egg-info


%if 0%{?with_python3}
%files -n python3-%{pkgname}
%license LICENSE
%doc README.md
%dir %{python3_sitelib}/django_markdown2
%{python3_sitelib}/django_markdown2/__init__.py
%dir %{python3_sitelib}/django_markdown2/__pycache__
%{python3_sitelib}/django_markdown2/__pycache__/*.py*
%dir %{python3_sitelib}/django_markdown2/templatetags
%{python3_sitelib}/django_markdown2/templatetags/__init__.py
%{python3_sitelib}/django_markdown2/templatetags/md2.py
%dir %{python3_sitelib}/django_markdown2/templatetags/__pycache__
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/__init__.*.py*
%{python3_sitelib}/django_markdown2/templatetags/__pycache__/md2.*.py*
%{python3_sitelib}/django_markdown2-%{version}-py3.*.egg-info
%endif

%changelog
* Thu Jun 25 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.1-1
- Initial package
